#include "inc.h"
#include "incbin.h"

/* This is the file that actually includes binary data meant to be embedded in
 * the executable. Embedded files should be added as dependencies to this source
 * file via the build system to ensure this unit is recompiled upon changes to
 * an embedded file. */

#if RESOURCES_EMBEDDED
INCBIN_INCLUDE(res_tar, INCBIN_DIR "res.tar");
struct buffer inc_res_tar(void)
{
    return INCBIN_GET(res_tar);
}
#endif

INCBIN_INCLUDE(shaders_tar, INCBIN_DIR "shaders.tar");
struct buffer inc_shaders_tar(void)
{
    return INCBIN_GET(shaders_tar);
}
